%define gitcommit  f6d539e
%define gitdate    20120526
Name:           mruby
Version:        1.0.0
Release:        1.%{gitdate}git%{gitcommit}%{?dist}
Summary:        Lightweight Ruby

Group:          Development/Languages
License:        MIT
URL:            https://github.com/mruby/mruby
# Source0 retrieved by pulling a Github tarball.
# See: https://github.com/mruby/mruby/downloads
Source0:        %{name}-%{name}-%{gitcommit}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       bison

%description
mruby is a lightweight implementation of the Ruby language complying to the
ISO standard. mruby can run Ruby code in 'interpreter mode' or compile and
execute it on a virtual machine, depending on the developer's preference.

%package devel
Summary:        Development files for mruby
Requires:       mruby = %{version}-%{release}

%description devel
C development and header files for mruby.

%prep
%setup -q -n mruby-%{name}-%{gitcommit}

%build
rm -rf build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/
cd build
make install DESTDIR=%{buildroot}

# This refuses to install in lib64 on 64-bit systems.
# It also is a static link and shouldn't be packaged anyway.
rm -f %{buildroot}/usr/lib/libmruby.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md AUTHORS ChangeLog MITL NEWS TODO
%{_bindir}/%{name}
%{_bindir}/mrbc
%{_bindir}/mirb

%files devel
%{_prefix}/include/%{name}
%{_prefix}/include/%{name}.h
%{_prefix}/include/mrbconf.h

%changelog
* Sat May 26 2012 Ricky Elrod <codeblock@fedoraproject.org> - 1.0.0-1.20120526gitf6d539e
- Initial build.
